Package org.apache.sling.pipes

## Class BindingProvider

- java.lang.Object
- - org.apache.sling.pipes.BindingProvider

All Implemented Interfaces:
  `Callable<org.apache.sling.api.resource.ValueMap>`

    public class BindingProvider
    extends Object
    implements Callable<org.apache.sling.api.resource.ValueMap>

### Constructor Summary

Constructors
`BindingProvider​(Pipe pipe)`

### Method Summary

All Methods Instance Methods Concrete Methods
`org.apache.sling.api.resource.ValueMap` `call()`
`Pipe` `getPipe()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BindingProvider

    public BindingProvider​(Pipe pipe)

### Method Detail

#### call

    public org.apache.sling.api.resource.ValueMap call()

Specified by:
  `call` in interface `Callable<org.apache.sling.api.resource.ValueMap>`

#### getPipe

    public Pipe getPipe()